Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::Extra123Style Struct Reference

the extra style for lotus 123 More...

## Public Member Functions
| Extra123Style ()
| constructor More...
bool | empty () const
| returns true if the style is empty More...
bool | operator== (Extra123Style const &f) const
| operator== More...
void | update (Style &style) const
| update the cell style More...

## Public Attributes
WPSBorder | m_borders [2]
| the top/left border More...

## Detailed Description

the extra style for lotus 123

## Constructor & Destructor Documentation

## ◆ Extra123Style()

LotusSpreadsheetInternal::Extra123Style::Extra123Style | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool LotusSpreadsheetInternal::Extra123Style::empty | ( |  | ) | const
| inline

returns true if the style is empty

## ◆ operator==()

bool LotusSpreadsheetInternal::Extra123Style::operator== | ( | Extra123Style const & | f | ) | const
| inline

operator==

## ◆ update()

void LotusSpreadsheetInternal::Extra123Style::update | ( | Style & | style | ) | const
| inline

update the cell style

## Member Data Documentation

## ◆ m_borders

WPSBorder LotusSpreadsheetInternal::Extra123Style::m_borders[2]

the top/left border

Referenced by empty(), Extra123Style(), operator==(), LotusSpreadsheet::readCellsFormat801(), and update().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp